Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Dist target now fails #5120

Closed
headius opened this Issue Mar 27, 2018 · 4 comments

Comments

Projects
None yet
2 participants
@headius
Copy link
Member

headius commented Mar 27, 2018

I'm not sure when this started happening, but it appears to affect both 9.1 and master. We have not had a successful nightly build in a while.

cc @mkristian, maybe this is related to the polyglot or mavengems updates?

[INFO] 
[INFO] --- polyglot-maven-plugin:0.3.0:execute (pack_sources) @ jruby-dist ---
sh: line 0: cd: uri:classloader:/: No such file or directory
create /Users/headius/projects/jruby/maven/jruby-dist/target/jruby-dist-9.2.0.0-SNAPSHOT-src.tar
create /Users/headius/projects/jruby/maven/jruby-dist/target/jruby-dist-9.2.0.0-SNAPSHOT-src.zip
zipping /Users/headius/projects/jruby/maven/jruby-dist/target/jruby-dist-9.2.0.0-SNAPSHOT-src.tar
RuntimeError: error zipping /Users/headius/projects/jruby/maven/jruby-dist/target/jruby-dist-9.2.0.0-SNAPSHOT-src.tar
  block in eval_pom at /Users/headius/projects/jruby/maven/jruby-dist/pom.rb:125
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] JRuby 9.2.0.0-SNAPSHOT ............................. SUCCESS [  0.342 s]
[INFO] JRuby Core ......................................... SUCCESS [ 38.336 s]
[INFO] JRuby Lib Setup .................................... SUCCESS [  9.712 s]
[INFO] JRuby Artifacts .................................... SUCCESS [  0.005 s]
[INFO] JRuby Dist 9.2.0.0-SNAPSHOT ........................ FAILURE [  5.854 s]
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 59.145 s
[INFO] Finished at: 2018-03-27T15:32:52-05:00
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal io.takari.polyglot:polyglot-maven-plugin:0.3.0:execute (pack_sources) on project jruby-dist: (RuntimeError) error zipping /Users/headius/projects/jruby/maven/jruby-dist/target/jruby-dist-9.2.0.0-SNAPSHOT-src.tar -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException
[ERROR] 
[ERROR] After correcting the problems, you can resume the build with the command
[ERROR]   mvn <goals> -rf :jruby-dist

@headius headius added this to the JRuby 9.1.17.0 milestone Mar 27, 2018

@mkristian

This comment has been minimized.

Copy link
Member

mkristian commented Mar 28, 2018

@headius this line fails: https://github.com/jruby/jruby/blob/master/maven/jruby-dist/pom.rb#L124

not sure - it looks we can not assume to have gzip installed !? maybe we can use ruby or . . . let me see what I can do.

@headius

This comment has been minimized.

Copy link
Member Author

headius commented Apr 2, 2018

I wonder if this is related to ongoing issues with PATH and system calls. It fails for me locally and I definitely have gzip installed.

@mkristian

This comment has been minimized.

Copy link
Member

mkristian commented Apr 3, 2018

fixed via 2758cf9

@mkristian mkristian closed this Apr 3, 2018

@mkristian

This comment has been minimized.

Copy link
Member

mkristian commented Apr 3, 2018

@headius the commit eeb2ced which updated mavengem broke the build, the underlying problem exists already much longer: #5127

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.